Changeset 9744 for bootstrap_libs
- Timestamp:
- Apr 7, 2011, 5:56:53 PM (14 years ago)
- File:
-
- 1 edited
Legend:
- Unmodified
- Added
- Removed
-
bootstrap_libs
r9737 r9744 1 #!/bin/sh 1 #!/bin/bash 2 3 function catch_errors() { 4 echo "Script aborted, because an unexpected error occured."; 5 exit 1; 6 } 7 8 if [ ! `which wget` ]; then 9 echo "You need wget for this script. Please install it first, e.g., sudo apt-get install wget. Aborted." 10 exit 1 11 fi 12 2 13 mkdir build 3 14 … … 6 17 mkdir libs 7 18 cd libs 19 20 # now set the error trap so that re-running the script doesn't fail 21 # on previous directory commands... 22 # this will trap any subsequent errors or commands with non-zero exit status 23 # by calling function catch_errors() 24 trap catch_errors ERR; 25 8 26 9 27 # apache runtime … … 34 52 35 53 # boost 1.39.0 36 wget http://switch.dl.sourceforge.net/sourceforge/boost/boost_1_39_0.tar.gz 37 tar xvvzf boost_1_39_0.tar.gz 38 cd boost_1_39_0 39 ./bootstrap.sh --libdir=$PREFIX/lib --prefix=$PREFIX --with-libraries=date_time,system,thread,test,regex 54 boostpkg=boost_1_39_0 55 wget http://downloads.sourceforge.net/sourceforge/boost/${boostpkg}.tar.gz || { echo "** Failed to retrieve ${boostpkg}. Please check network connectivity or availability of the package on the server. Stop."; exit 1; } 56 echo -n "Unpacking ${boostpkg}... " && tar xzf ${boostpkg}.tar.gz && echo " done." 57 cd ${boostpkg} 58 echo -n "Calling bootstrap.sh ... " && ./bootstrap.sh --libdir=$PREFIX/lib --prefix=$PREFIX --with-libraries="date_time,system,thread,test,regex" >/dev/null && echo " done." 59 echo "Calling bjam. This may take a while..." 40 60 ./bjam install 41 61 cd .. 42 62 43 63 # gnu multiprecision library 44 wget ftp://ftp.gmplib.org/pub/gmp-4.3.1/gmp-4.3.1.tar.gz 45 tar xvvzf gmp-4.3.1.tar.gz 46 cd gmp-4.3.1 64 gmppkg=gmp-4.3.1 65 wget ftp://ftp.gmplib.org/pub/${gmppkg}/${gmppkg}.tar.gz || { echo "** Failed to retrieve ${gmppkg}. Please check network connectivity or availability of the package on the server. Stop."; exit 1; } 66 echo -n "Unpacking ${gmppkg}... " && tar xzf ${gmppkg}.tar.gz && echo " done." 67 cd ${gmppkg} 47 68 ./configure --prefix=$PREFIX 48 69 make && make install … … 53 74 make && make install 54 75 76 echo "Done." 77 55 78 export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$PREFIX/lib 79 80 # end of script
Note:
See TracChangeset
for help on using the changeset viewer.